Problem running _KSCD v1.5.1 alpha 2010-03-17 on 64 bit server

May 12, 2010 at 12:57 PM

This component runs fine in my 32 bit UAT environment but errors in the 64 bit environment with this error:

Error at Site [Site (Kimball Method Slowly Changing Dimension 1 [3035])]: Microsoft.SqlServer.Dts.Pipeline.ComponentVersionMismatchException: The version of component "Kimball Method Slowly Changing Dimension 1" (3035) is not compatible with this version of the DataFlow.  [[The version or pipeline version or both for the specified component is higher than the current version.  This package was probably created on a new version of DTS or the component than is installed on the current PC.]]
   at Microsoft.SqlServer.Dts.Pipeline.ManagedComponentHost.HostCheckAndPerformUpgrade(IDTSManagedComponentWrapper100 wrapper, Int32 lPipelineVersion)

Error at Site [Site (SSIS.Pipeline)]: The component metadata for "component "Kimball Method Slowly Changing Dimension 1" (3035)" could not be upgraded to the newer version of the component. The PerformUpgrade method failed.


 

Coordinator
May 12, 2010 at 4:03 PM

Is your prod environment the same as your dev?  Both 2008?  Same SP?

Have you GAC'd the SSISComponentUtilities.DLL as well?  (Forgot to mention that in the DMs.)

FWIW, I run this on 32 and 64 bit.  64 primarily - it's my dev and prod, but QA is 32.